---
aliases:
- /layout/404/
date: 2013-08-21
linktitle: "Custom 404 page"
menu:
  main:
    parent: layout
next: /taxonomies/overview
notoc: true
prev: /templates/sitemap
title: 404.html Templates
weight: 100
---

When using Hugo with [GitHub Pages](http://pages.github.com/), you can provide
your own template for a [custom 404 error page](https://help.github.com/articles/custom-404-pages/) by creating a 404.html file in the root.

404 pages are of the type "node" and have all the [node
variables](/layout/variables/) available to use in the templates.

In addition to the standard node variables, the 404 page has access to
all site content accessible from `.Data.Pages`.

    ▾ layouts/
        404.html

## 404.html

This is a basic example of a 404.html template:

    {{ partial "header.html" . }}
    {{ partial "subheader.html" . }}

    <section id="main">
      <div>
       <h1 id="title">{{ .Title }}</h1>
      </div>
    </section>

    {{ partial "footer.html" }}

